fw_cdev_get_cycle_timer Struct Reference

`#include <dc1394/juju/firewire-cdev.h>`

## Detailed Description

struct fw_cdev_get_cycle_timer - read cycle timer register : system time, in microseconds since the Epoch : Cycle Time register contents

The FW_CDEV_IOC_GET_CYCLE_TIMER ioctl reads the isochronous cycle timer and also the system clock (CLOCK_REALTIME). This allows to express the receive time of an isochronous packet as a system time.

consists of 7 bits cycleSeconds, 13 bits cycleCount, and 12 bits cycleOffset, in host byte order. Cf. the Cycle Time register per IEEE 1394 or Isochronous Cycle Timer register per OHCI-1394.

In version 1 and 2 of the ABI, this ioctl returned unreliable (non- monotonic) values on certain controllers.

The documentation for this struct was generated from the following file:

- dc1394/juju/firewire-cdev.h